Class | Bio::DDBJ::XML::DDBJ
In: | lib/bio/io/ddbjxml.rb
Parent: | XML

## DDBJ

Retrieves a sequence entry from the DDBJ DNA Data Bank Japan.

- xml.nig.ac.jp/doc/DDBJ.txt

### Examples

      serv = Bio::DDBJ::XML::DDBJ.new
      puts serv.getFFEntry('AB000050')
      puts serv.getXMLEntry('AB000050')
      puts serv.getFeatureInfo('AB000050', 'cds')
      puts serv.getAllFeatures('AB000050')
      puts serv.getRelatedFeatures('AL121903', '59000', '64000')
      puts serv.getRelatedFeaturesSeq('AL121903', '59000', '64000')

### WSDL Methods

- getFFEntry(accession)
- getXMLEntry(accession)
- getFeatureInfo(accession, feature)
- getAllFeatures(accession)
- getRelatedFeatures(accession, start, stop)
- getRelatedFeaturesSeq(accession, start, stop)

### References

- xml.nig.ac.jp/doc/DDBJ.txt

### Constants

SERVER_URI | = | BASE_URI + "DDBJ.wsdl"

[Validate]